Package cds.healpix

# Enum Class HealpixNestedFixedRadiusConeComputer.ReturnedCells

java.lang.Object
java.lang.Enum<HealpixNestedFixedRadiusConeComputer.ReturnedCells>
cds.healpix.HealpixNestedFixedRadiusConeComputer.ReturnedCells

All Implemented Interfaces:
  `Serializable`, `Comparable<HealpixNestedFixedRadiusConeComputer.ReturnedCells>`, `Constable`

Enclosing interface:
  `HealpixNestedFixedRadiusConeComputer`

public static enum HealpixNestedFixedRadiusConeComputer.ReturnedCells extends Enum<HealpixNestedFixedRadiusConeComputer.ReturnedCells>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTER_IN`
Cells having their center inside the cone.
`FULLY_IN`
Cells fully inside the cone: CONE_AREA INTERSECT CELL_AREA = CELL_AREA.
`OVERLAPPING`
Cells overlapping the cone (fully included in the cone or simply overlapping it): CONE_AREA INTERSECT CELL_AREA > 0.

## Method Summary

Modifier and Type
Method
Description
`static HealpixNestedFixedRadiusConeComputer.ReturnedCells`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HealpixNestedFixedRadiusConeComputer.ReturnedCells[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FULLY_IN

public static final HealpixNestedFixedRadiusConeComputer.ReturnedCells FULLY_IN
Cells fully inside the cone: CONE_AREA INTERSECT CELL_AREA = CELL_AREA.

### OVERLAPPING

public static final HealpixNestedFixedRadiusConeComputer.ReturnedCells OVERLAPPING
Cells overlapping the cone (fully included in the cone or simply overlapping it): CONE_AREA INTERSECT CELL_AREA > 0.

### CENTER_IN

public static final HealpixNestedFixedRadiusConeComputer.ReturnedCells CENTER_IN
Cells having their center inside the cone. (CONE_AREA INTERSECT CELL_AREA > 0) AND (CELL_CENTER IN CONE).

## Method Details

### values

public static HealpixNestedFixedRadiusConeComputer.ReturnedCells[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HealpixNestedFixedRadiusConeComputer.ReturnedCells valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null